#imageContainer {
  position: relative;
  width: 50%;
  height: fit-content;
  overflow: hidden;
  margin:0 auto;
  line-height: 1;
	
}

#uploadedImage, #uploadedImage2 {
  max-width: 100%;
  max-height: 100%;
}
#uploadedImage2{position: absolute; top: 0; left: 0; clip-path: inset(0 0 0 0);}
#blurOverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(140, 140, 140, 0.5); /* semi-transparent white background */
    filter: blur(5px); /* apply blur effect to the overlay */
    pointer-events: none; /* allow pointer events to pass through */
}
.blur {filter: blur(5px);}

#cropBox {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 1px solid #000;
    line-height: 1;
    margin: 0;
    padding: 0;
	pointer-events: none; /* allow pointer events to pass through */
	z-index: 2;
}


#cropBox::before {
    content: '';
    position: absolute;
    top: -50px; /* adjust as needed */
    left: -50px; /* adjust as needed */
    width: 300px; /* adjust as needed (cropBox width + double the padding) */
    height: 300px; /* adjust as needed (cropBox height + double the padding) */
    background-color: rgba(255, 255, 255, 0); /* make the area inside the cropBox clear */
    clip-path: inset(50px); /* create a clear area inside the cropBox */
}


.resize-handle {
  position: absolute;
  width: 15px;
  height: 15px;
  cursor: pointer;
}

#top-left {
  top: 0;
  left: 0;
  border-top: 7px solid var(--blue);
  border-left: 7px solid var(--blue);
}

#top-right {
  top: 0;
  right: 0;
  border-top: 7px solid var(--blue);
  border-right: 7px solid var(--blue);
}

#bottom-left {
  bottom: 0;
  left: 0;
  border-bottom: 7px solid var(--blue);
  border-left: 7px solid var(--blue);
}

#bottom-right {
  bottom: 0;
  right: 0;
  border-bottom: 7px solid var(--blue);
  border-right: 7px solid var(--blue);
}

#imageContainer { max-width: 400px}

@media (min-width:320px) { /* smartphones, portrait iPhone, portrait 480x320 phones (Android) */ 

	#imageContainer { width: 90%; margin:0 auto 20px;}
}

@media screen and (min-width: 1200px) {
	
	#imageContainer { width: 50%; margin:0 auto 10px;}
}